Description: Don't install LICENSE, require debian-menu
Author: Julien Danjou <acid@debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -30,8 +30,7 @@
 set(AWE_DOC_FILES
     ${SOURCE_DIR}/AUTHORS
     ${SOURCE_DIR}/BUGS
-    ${SOURCE_DIR}/README
-    ${SOURCE_DIR}/LICENSE)
+    ${SOURCE_DIR}/README)
 
 set(AWE_SRCS
     ${SOURCE_DIR}/awesome.c
--- a/awesomerc.lua.in
+++ b/awesomerc.lua.in
@@ -11,6 +11,9 @@
 local naughty = require("naughty")
 local menubar = require("menubar")
 
+-- Load Debian menu entries
+require("debian.menu")
+
 -- {{{ Error handling
 -- Check if awesome encountered an error during startup and fell back to
 -- another config (This code will only ever execute for the fallback config)
@@ -41,8 +44,8 @@
 beautiful.init("@AWESOME_THEMES_PATH@/default/theme.lua")
 
 -- This is used later as the default terminal and editor to run.
-terminal = "xterm"
-editor = os.getenv("EDITOR") or "nano"
+terminal = "x-terminal-emulator"
+editor = os.getenv("EDITOR") or "editor"
 editor_cmd = terminal .. " -e " .. editor
 
 -- Default modkey.
@@ -97,6 +100,7 @@
 }
 
 mymainmenu = awful.menu({ items = { { "awesome", myawesomemenu, beautiful.awesome_icon },
+                                    { "Debian", debian.menu.Debian_menu.Debian },
                                     { "open terminal", terminal }
                                   }
                         })
